2018-05-09  NIIBE Yutaka  <gniibe@fsij.org>

	* VERSION: Version 0.7.

2018-04-26  NIIBE Yutaka  <gniibe@fsij.org>

	* usb-msc.c (fraucheky_init): New.

2018-01-19  NIIBE Yutaka  <gniibe@fsij.org>

	* build.mk (distclean): Don't remove COPYING.

2018-01-19  NIIBE Yutaka  <gniibe@fsij.org>

	* VERSION: Version 0.6.

	* fraucheky.c (device_desc): Make this array as a template.

2017-10-11  NIIBE Yutaka  <gniibe@fsij.org>

	* VERSION: Version 0.5.

	* fraucheky.c (fraucheky_setup_endpoints_for_interface): For
	STM32F103, we don't use DEV.
	* usb-msc.c [GNU_LINUX_EMULATION] (usb_buf_size): Only for
	GNU_LINUX_EMULATION.

2017-10-10  NIIBE Yutaka  <gniibe@fsij.org>

	* build.mk (ARG_BFDNAME): New.
	(BFDNAME_OBJ): Remove.

2017-07-07  NIIBE Yutaka  <gniibe@fsij.org>

	* usb-msc.c (msc_handle_command): Fix command error handling.

2017-07-06  NIIBE Yutaka  <gniibe@fsij.org>

	* build.mk (distclean): Add COPYING.

	* usb-msc.c (msc_handle_command): Handle ATA_16 command
	just like MODE_SENSE6.	Error handling fix.

2017-07-05  NIIBE Yutaka  <gniibe@fsij.org>

	* usb-msc.c [GNU_LINUX_EMULATION] (usb_start_receive): Use
	usb_lld_rx_enable_buf.
	[GNU_LINUX_EMULATION] (EP6_OUT_Callback): No need for rxcpy.
	Use usb_lld_rx_enable_buf.

	* fraucheky.c (fraucheky_setup_endpoints_for_interface): Change
	API.  Support GNU_LINUX_EMULATION.

	* disk-on-rom.c [GNU_LINUX_EMULATION] (msc_scsi_write): Don't
	touch flash.

	* configure (dongdong): Don't output '\'.
	(cluster_map): Output '\' line instead of newline only.

	* build.mk (BFDNAME_OBJ): New.
	(ARG_BFDARCH): New.

2016-06-14  Niibe Yutaka  <gniibe@fsij.org>

	* VERSION: Version 0.4.

2016-06-13  Niibe Yutaka  <gniibe@fsij.org>

	* fraucheky.c, usb-msc.c: Update with new USB API.

2016-06-01  NIIBE Yutaka  <gniibe@fsij.org>

	* fraucheky.c (fraucheky_setup_endpoints_for_interface): Call
	fraucheky_reset to let msc_handle_command return error and
	restart receiving command.

	* usb-msc.c (fraucheky_main_active): New.
	(fraucheky_main_done): Remove.
	* disk-on-rom.c (msc_scsi_stop): Use fraucheky_main_active.

2016-05-30  Niibe Yutaka  <gniibe@fsij.org>

	* disk-on-rom.c: Follow the change of Chopstx SYS API.

	* fraucheky.c: Follow the change of Chopstx USB	API.
	* usb-msc.c (EP6_IN_Callback): Likewise.

2015-07-31  Niibe Yutaka  <gniibe@fsij.org>

	* VERSION: Version 0.3.

2015-07-28  Niibe Yutaka  <gniibe@fsij.org>

	* usb-msc.c (fraucheky_main): Clear fraucheky_main_done at end.
	* disk-on-rom.c (msc_scsi_write): Check fraucheky_enabled.

	* fraucheky.c (fraucheky_setup, fraucheky_get_descriptor): Follow
	the API change of USB driver.

2015-07-27  Niibe Yutaka  <gniibe@fsij.org>

	* configure (check_build_operating_system)
	(get_size_and_timestamp): New.  Support FreeBSD for build system.
	Reported by Kenji Rikitake.

2015-07-26  Kenji Rikitake  <kenji@k2r.org>

	* usb-msc.c (scsi_inquiry_data_83): New.
	(scsi_inquiry_data): Version = 0 (was: 5:SPC-3).
	(msc_handle_command): Better interoperability for SCSI_INQUIRY.

2015-07-25  Niibe Yutaka  <gniibe@fsij.org>

	* usb-msc.c (msc_handle_command): LUN=0 should not be in the LUN
	LIST.  Return empty list (LUN LIST LENGTH = 0).

2015-07-23  Niibe Yutaka  <gniibe@fsij.org>

	* usb-msc.c (msc_handle_command): Handle SCSI_REPORT_LUN command.
	* msc.h (SCSI_REPORT_LUN): New.

2015-03-17  Niibe Yutaka  <gniibe@fsij.org>

	* VERSION: Version 0.2.

	* configure: Generate INDEX substituting @REVISION@.

2015-03-17  Niibe Yutaka  <gniibe@fsij.org>

	* VERSION: Version 0.1a.

2015-01-21  Niibe Yutaka  <gniibe@fsij.org>

	* README: Version 0.1.

	* build.mk (distclean): Add disk-on-rom.h.

	* configure (file_info, cluster_map): New functions.

	* disk-on-rom.c: Include disk-on-rom.h, which is generated.
	(d0_fat0_sector): Use CLUSTER_MAP macro.
	(d0_rootdir_sector): Use macros of COPYING_ATTRIBUTES,
	README_ATTRIBUTES, INDEX_ATTRIBUTES.
	Use macros of COPYING__FILE_SIZE,
	README__FILE_SIZE, INDEX__FILE_SIZE.

2013-11-15  Niibe Yutaka  <gniibe@fsij.org>

	* fraucheky.c (fraucheky_get_descriptor): Handle string descriptor
	request correctly.

2013-11-06  Niibe Yutaka  <gniibe@fsij.org>

	* Version 0.0.

